[GE users] Java DRMAA : UnsatisfiedLinkError : wrong ELF class: ELFCLASS64 ??

umanga aumanga at biggjapan.com
Fri Dec 4 07:52:14 GMT 2009


Greetings all,

I developed my application on Debian 64 bit machine with SGE 6.2u4 and 
worked fine.
When it is tried to install in a CentOS 5.2 64 bit , with JDK1.6.0_17 
its giving following error ,What could be the problem ?

Thanks in advance.


java.lang.UnsatisfiedLinkError: 
/ddca/ge6.2u4/lib/lx24-amd64/libdrmaa.so.1.0: 
/ddca/ge6.2u4/lib/lx24-amd64/libdrmaa.so.1.0: wrong ELF class: 
ELFCLASS64 (Possible cause: architecture word width mismatch)
        at java.lang.ClassLoader$NativeLibrary.load(Native Method)
        at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1758)
        at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1683)
        at java.lang.Runtime.loadLibrary0(Runtime.java:823)
        at java.lang.System.loadLibrary(System.java:1028)
        at com.sun.grid.drmaa.SessionImpl$1.run(SessionImpl.java:64)
        at java.security.AccessController.doPrivileged(Native Method)
        at com.sun.grid.drmaa.SessionImpl.<clinit>(SessionImpl.java:62)
        at
com.sun.grid.drmaa.SessionFactoryImpl.getSession(SessionFactoryImpl.java:60)

------------------------------------------------------
http://gridengine.sunsource.net/ds/viewMessage.do?dsForumId=38&dsMessageId=231308

To unsubscribe from this discussion, e-mail: [users-unsubscribe at gridengine.sunsource.net].



More information about the gridengine-users mailing list